import Controller from "./controller";
export default class UserController extends Controller {
    config: {
        Fields: {
            Account: string;
            PWD: string;
            Status: string;
        };
        Table: string;
        Error: {
            AccountOrPWDError: string;
            CannotForget: string;
        };
    };
    login(post: any): Promise<{}>;
    relogin(post: any): Promise<{}>;
    protected registData(post: any): Promise<{}>;
    protected registHandler(rs: any): Promise<boolean>;
    regist(post: any): Promise<boolean>;
    forget(): Promise<void>;
    logout(): Promise<boolean>;
}
