"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const controller_1 = require("./controller");
const crypto_1 = require("../utils/crypto");
class UserController extends controller_1.default {
    async login(post) {
        let Account = this.I(this.config.Fields.Account);
        let PWD = this.I(this.config.Fields.PWD);
        if (Account && PWD) {
        }
        else {
            throw this.config.Error.AccountOrPWDError;
        }
        let u = await this.M(this.config.Table).where({ [this.config.Fields.Account]: Account, [this.config.Fields.Status]: 1 }).fields(`UID,${this.config.Fields.PWD}`).find();
        if (u) {
            if (crypto_1.password_verify(PWD, u[this.config.Fields.PWD])) {
                this._session('UID', u.UID);
                let user = await this.R(this.config.Table).where({ UID: u.UID }).find();
                return user;
            }
            else {
                throw this.config.Error.AccountOrPWDError;
            }
        }
        else {
            throw this.config.Error.AccountOrPWDError;
        }
    }
    async relogin(post) {
        let UID = this._session('UID');
        if (UID > 0) {
            return await this.R(this.config.Table).where({ UID }).find();
        }
        else {
            throw this.config.Error.AccountOrPWDError;
        }
    }
    async registData(post) {
        return {};
    }
    async registHandler(rs) {
        this.commit();
        return true;
    }
    async regist(post) {
        let Account = this.I(this.config.Fields.Account);
        let PWD = this.I(this.config.Fields.PWD);
        if ((Account instanceof String && Account.length > 3)
            && (PWD instanceof String && PWD.length > 6)) {
            this.startTrans();
            let rs = this.M(this.config.Table).add(Object.assign(await this.registData(post), { Account, PWD: crypto_1.password_hash(PWD) }));
            return await this.registHandler(rs);
        }
        else {
            throw this.config.Error.AccountOrPWDError;
        }
    }
    async forget() {
        throw this.config.Error.CannotForget;
    }
    async logout() {
        this._session(null);
        return true;
    }
}
exports.default = UserController;
//# sourceMappingURL=usercontroller.js.map