import { ctx } from '../utils/iface';
import { SessionOptions } from '../config';
export declare function session(ctx: ctx, next: any): Promise<void>;
export declare class Session {
    protected change: boolean;
    protected id: string;
    protected path: string;
    protected mtime: number;
    protected data: {
        [index: string]: any;
    };
    constructor(id: string, options: SessionOptions);
    get(key: string): any;
    set(key: string, value: any): void;
    save(): void;
    destroy(): Promise<{}>;
}
