export declare enum QosType {
    NOT_SURE = 0,
    LESS_ONE = 1,
    ONLY_ONE = 2
}
export declare enum MqttError {
    SUBSCRIBE_CALLBACK_IS_NOT_A_FUNCTION = "SUBSCRIBE_CALLBACK_IS_NOT_A_FUNCTION"
}
export declare class Mqtt {
    protected cb: any;
    protected client: any;
    protected prefix: string;
    protected uuid: string;
    subscribe(Topic: string | string[], QosType: QosType, Callback: Function): void;
    unsubscribe(Topic: string | string[]): void;
    publish(Topic: string | string[], Data: any, All?: boolean): void;
    connect(url: string, prefix?: string, uuid?: string): void;
    protected message(Topic: string, payload: BufferSource): void;
}
