"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const koa = require("koa");
const middlewares_1 = require("./middlewares");
const controller_1 = require("./lib/controller");
const relation_1 = require("./lib/relation");
const model_1 = require("./lib/model");
const index_1 = require("./config/index");
const basecontroller_1 = require("./lib/basecontroller");
const WebSocket = require("koa-websocket");
exports.ServerConfig = {
    WebSockets: [],
    WSHanders: {}
};
exports.app = new WebSocket(new koa());
Date.prototype.toJSON = function () { return this.toLocaleString(); };
middlewares_1.default(exports.app);
exports.default = exports.app;
exports.Controller = controller_1.default;
exports.Relation = relation_1.default;
exports.Model = model_1.default;
exports.Config = index_1.default;
exports.BaseController = basecontroller_1.default;
//# sourceMappingURL=index.js.map