import { ctx, UploadFiles } from '../utils/iface';
import Config from '../config';
import { CookieOptions } from '../config/index';
import Model from './model';
import Relation from '../lib/relation';
export default class basecontroller {
    _ctx: ctx;
    _config: Config;
    _ModelName: string;
    __proto__: any;
    readonly _KeywordFields: Array<string>;
    readonly _KeywordTable: string;
    readonly _WFields: string[];
    readonly _saveFields: any;
    readonly _searchFields: string[];
    readonly _WTable: string;
    protected readonly _pk: string;
    readonly _model: Model;
    constructor(ctx: any);
    protected _checkPermission(ctx: any): Promise<boolean>;
    protected _send(path: string, filename: string): Promise<void>;
    protected _sendContent(content: any, filename: string): void;
    protected _cookie(name: string, value?: string, options?: CookieOptions): string;
    protected _session(name: string, value?: any): any;
    protected _sendFile(file: string, ext?: string, config?: {}): Promise<void>;
    readonly _files: {
        [index: string]: UploadFiles;
    };
    protected M(TableName?: string): Model;
    trans: any;
    protected startTrans(): Promise<any>;
    protected commit(): Promise<boolean>;
    protected rollback(): Promise<boolean>;
    protected R(RelationName: string): Relation;
    protected I(Name: string, options?: Object): any;
}
