"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const errors_1 = require("../utils/errors");
function I(ctx, name, options) {
    let data = 'undefined' !== typeof ctx.req.body[name] ? ctx.req.body[name] : (options ? options.d : undefined);
    if (!options) {
        return data;
    }
    if (options.type instanceof String) {
        if (options.type == typeof data) {
            return data;
        }
        else {
            throw new Error(errors_1.default.POST_TYPE_ERROR + '_' + name);
        }
    }
    else if (options.type instanceof Function) {
        if (options.type(data)) {
            return data;
        }
        else {
            throw new Error(`PARAM_${name}_TYPE_ERROR`);
        }
    }
    else if (options.type instanceof Symbol) {
        return data;
    }
    else {
        return data;
    }
}
exports.I = I;
//# sourceMappingURL=controller.js.map