/// <reference types="node" />
import { RPCServer } from "castle-rpc-server/dist/index";
import { RPC as CRPC } from 'castle-rpc';
declare class RPCService extends RPCServer {
    constructor();
    controller(path: any, data: any, rpc: any, ctx: any): Promise<any>;
    send(content: CRPC | string | Buffer, ctx: any): Promise<any>;
    sendTo(ID: any, Content: any, ctx: any): Promise<any>;
    readonly onlines: {
        [index: string]: {
            options: any;
            services: string[];
            subscribes: string[];
        };
    };
}
export declare const RPC: RPCService;
export {};
